%define oname	kio_afc

Name:		kio-afc
Version:	2010.04.22
Release:	%mkrel 1
Summary:	Kio slave implementation wrapping the AFC protocol
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://github.com/JonathanBeck/kio_afc
# wget https://github.com/JonathanBeck/kio_afc/archive/master.tar.gz -O kio-afc-2010.04.22.tar.gz
Source0:	%{name}-%{version}.tar.gz
Patch0:		kio-afc-fix_libimobiledevice_new_udid_field_instead_of_uuid.patch

BuildRequires:	cmake
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(libimobiledevice-1.0)

%description
kio_afc is a KDE kio slave implementation wrapping the AFC protocol.

%prep
%setup -q -n %{oname}-master
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build 

%files
%doc AUTHORS README COPYING
%{_kde_libdir}/kde4/kio_afc.so
%{_kde_services}/afc.protocol


%changelog
* Fri Aug 16 2013 david.david (MLO Team) <david.david> 2010.04.22-1.mga3
+ Build package for Mageia 3 (Core)
- imported package kio_afc
- added a patch to fix make build for new libimobiledevice (use udid instead of uuid)
- version: 2010.04.22

+ Thank you for the help provided by wally :)